# OverflowLogisticStation

The logistic stations can accept the items from belts infinitely and overflow, only if:   
The slot in Planetary Logistics Station is set to Supply mode.  
The slot in Interstellar Logistics Station is set to BOTH Local supply AND Remote supply mode.  

The cargo that overflows will disappear.  

This mod doesn't work on Advanced Mining Machines by default, unless you edit the config file.

### Friendly reminder

If you have a long save game, turning on this mod may cause a large number of factories (that were stopped due to production blockages) to start at the same time, which will cause a large increase in power consumption and may bring down the power grid.

### Installation (if manully)

1. Install BepInEx.
2. Drag OverflowLogisticStation.dll into "Dyson Sphere Program/BepInEx/plugins/"

### ChangeLog

v1.1.0: Added blacklist and whitelist modes to the config file, allowing you to select specific items to disable or allow overflow. All items can overflow by default.

v1.0.2: fix a bug that the proliferator point will infinitely increase when the cargo overflows.

v1.0.1: Logic optimization.


# 可溢出物流运输站

物流站将允许来自传送带的物品无限输入并溢出，仅当：  
行星内物流站的物品被设置为供给模式。  
星际物流站的物品被设置为星球供给+星际供给模式。  

溢出的货物将消失。

默认对于大型采矿机不起作用，除非你更改设置文件。

### 友情提醒

如果你的游戏存档玩了很久，开启此mod可能会使大量因为产物堵塞而停工的工厂突然同时启动，这会导致用电量大幅上升并可能使电网瘫痪。

### 安装（如果手动安装的话）

1. 安装 BepInEx框架. 
2. 将 OverflowLogisticStation.dll 放入 "Dyson Sphere Program/BepInEx/plugins/"文件夹内

### 更新

v1.1.0: 在config文件中新增黑名单白名单模式，让你可以选择特定的物品禁止溢出或允许溢出。默认所有物品均可以溢出。

v1.0.2: 修复了货物溢出会导致增产点数无限叠加超出3级的bug。

v1.0.1: 逻辑优化。
